/*
 * This file has been generated by the onto2vocabularyclass tool
 * copyright (C) 2007-2010 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _SOPRANO_KAO_H_
#define _SOPRANO_KAO_H_

#include <QtCore/QUrl>

namespace Nepomuk {
    namespace Vocabulary {
        namespace KAO {
            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao#
             */
            QUrl kaoNamespace();

            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao#
             */
            QUrl nrlOntologyGraph();

            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao#Activity 
             * 
             * An abstract concept to handle various user's activities. 
             */
            QUrl Activity();

            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao#ResourceScoreCache 
             * 
             * For storing the automatically calculated score based on the 
             * usage statistics 
             */
            QUrl ResourceScoreCache();

            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao#activityIdentifier 
             * 
             * The unique ID of the activity as used outside of Nepomuk. This 
             * is a UUID. Anything else can be considered invalid. 
             */
            QUrl activityIdentifier();

            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao#cachedScore 
             * 
             * The automatically calculated score 
             */
            QUrl cachedScore();

            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao#initiatingAgent 
             * 
             * Relates the score to the agent initiating the events. 
             */
            QUrl initiatingAgent();

            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao#targettedResource 
             * 
             * Resource for which the score is calculated. 
             */
            QUrl targettedResource();

            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao#usedActivity 
             * 
             * The activity that was active when resource was created. This 
             * is mostly used for graphs or resource events. 
             */
            QUrl usedActivity();

            /**
             * http://nepomuk.kde.org/ontologies/2012/02/29/kao/metadata 
             */
            QUrl metadata();
        }
    }
}

#endif
